[android-components](../../index.md) / [mozilla.components.browser.storage.memory](../index.md) / [Visit](./index.md)

# Visit

`data class Visit` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/storage-memory/src/main/java/mozilla/components/browser/storage/memory/InMemoryHistoryStorage.kt#L17)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Visit(timestamp: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)`, type: `[`VisitType`](../../mozilla.components.concept.storage/-visit-type/index.md)`)` |

### Properties

| Name | Summary |
|---|---|
| [timestamp](timestamp.md) | `val timestamp: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html) |
| [type](type.md) | `val type: `[`VisitType`](../../mozilla.components.concept.storage/-visit-type/index.md) |
